## translate-toolkit 3.12.2

=== Makefile ===
DOCS_DIR = docs

.PHONY: all build docs requirements help sort-imports

all: help

build: docs
	python -m build

docs:
	# Make sure that the submodule with docs theme is pulled and up-to-date.
	git submodule update --init
	# The following creates the HTML docs.
	# NOTE: cd and make must be in the same line.
	cd ${DOCS_DIR}; make SPHINXOPTS="-T -W -q" html ${TAIL}

docs-review: docs
	python -mwebbrowser file://$(shell pwd)/${DOCS_DIR}/_build/html/index.html

sort-imports:
	isort -rc .

help:
	@echo "Help"
	@echo "----"
	@echo
	@echo "  build - create sdist with required prep"
	@echo "  docs - build Sphinx docs"
	@echo "  docs-review - launch webbrowser to review docs"
	@echo "  requirements - (re)generate pinned and minimum requirements"
	@echo "  sort-imports - sort Python imports"
	@echo "  test - run unit test suite"
	@echo "  test-functional - run the functional test suite"

# Perform forced build using -W for the (.PHONY) requirements target
requirements:
	$(MAKE) -W $(REQFILE) requirements/min-versions.txt requirements.txt

REQS=.reqs
REQFILE=requirements/optional.txt

requirements.txt: $(REQFILE)
	@set -e;							\
	 case `pip --version` in					\
	   "pip 0"*|"pip 1.[012]"*)					\
	     virtualenv --no-site-packages --clear $(REQS);		\
	     source $(REQS)/bin/activate;				\
	     echo starting clean install of requirements from PyPI;	\
	     pip install --use-mirrors -r $(REQFILE);			\
	     : trap removes partial/empty target on failure;		\
	     trap 'if [ "$$?" != 0 ]; then rm -f $@; fi' 0;		\
	     pip freeze | grep -v '^wsgiref==' | sort > $@ ;;		\
	   *)								\
	     : only pip 1.3.1+ processes --download recursively;	\
	     rm -rf $(REQS); mkdir $(REQS);				\
	     echo starting download of requirements from PyPI;		\
	     pip install --download $(REQS) -r $(REQFILE);		\
	     : trap removes partial/empty target on failure;		\
	     trap 'if [ "$$?" != 0 ]; then rm -f $@; fi' 0;		\
	     (cd $(REQS) && ls *.tar* |					\
	      sed -e 's/-\([0-9]\)/==\1/' -e 's/\.tar.*$$//') > $@;	\
	 esac; 

requirements/min-versions.txt: requirements/optional.txt requirements/required.txt
	@if grep -q '>[0-9]' $^; then				\
	   echo "Use '>=' not '>' for requirements"; exit 1;	\
	 fi
	@echo "creating $@"
	@echo "# Automatically generated: DO NOT EDIT" > $@
	@echo "# Regenerate using 'make requirements'" >> $@
	@echo "# ====================================" >> $@
	@echo "# Minimum Requirements" >> $@
	@echo "# ====================================" >> $@
	@echo "#" >> $@
	@echo "# These are the minimum versions of dependencies that the developers" >> $@
	@echo "# claim will work." >> $@
	@echo "#" >> $@
	@echo "# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~" >> $@
	@echo "#" >> $@
	@echo >> $@
	@cat $^ | sed -n '/=/{s/>=/==/;s/,<.*//;s/,!=.*//;p;};/^[-#]/d;/^$$/d;/=/d;p;' >> $@

test:
	@py.test --cov=. -r EfsxX

test-functional:
	@tests/cli/run_tests.sh

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext coverage

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/TranslateToolkit.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/TranslateToolkit.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/TranslateToolkit"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/TranslateToolkit"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Coverage report is in $(BUILDDIR)/coverage."

=== debian/changelog ===
translate-toolkit (3.12.2-1ubuntu1) noble; urgency=medium

  * d/control: Fix runtime dependency. (LP: #2060729)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 10 Apr 2024 16:04:43 +0200

translate-toolkit (3.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sun, 18 Feb 2024 15:57:50 +1100

=== debian/control ===
Source: translate-toolkit
Section: python
Priority: optional
Uploaders:
 Stuart Prescott <stuart@debian.org>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian l10n developers <debian-l10n-devel@lists.alioth.debian.org>
Build-Depends-Indep:
 libexttextcat-data,
 python3-all,
 python3-aeidon,
 python3-bs4,
 python3-chardet,
 python3-cheroot,
 python3-diff-match-patch,
 python3-enchant,
 python3-iniparse,
 python3-levenshtein,
 python3-lxml,
 python3-mistletoe (>> 1.1.0~),
 python3-phply,
 python3-pyparsing (>> 3),
 python3-pytest,
 python3-ruamel.yaml,
 python3-simplejson,
 python3-syrupy,
 python3-sphinx,
 python3-vobject,
 python3-xapian,
 rename,
 subversion,
Build-Depends:
 debhelper-compat (= 13),
 dh-python (>> 5.20220923~),
 pybuild-plugin-pyproject,
 python3-setuptools,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/l10n-team/translate-toolkit.git
Vcs-Browser: https://salsa.debian.org/l10n-team/translate-toolkit
Homepage: https://toolkit.translatehouse.org/
Rules-Requires-Root: no

Package: translate-toolkit
Architecture: all
Section: devel
Depends:
 python3,
 python3-pkg-resources,
 python3-cheroot,
 python3-translate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 translate-toolkit-doc
Description: Toolkit assisting in the localization of software
 The Translate Toolkit is a Python library and a set of software designed
 to help make the lives of localizers both more productive and less
 frustrating.
 .
 The software includes programs to convert localization formats to the
 common PO format and programs to check and manage PO files and
 utilities to create word counts, merge translations and perform
 various checks on PO files.
 .
 Supported localization storage formats are: DTD, properties,
 OpenOffice.org GSI/SDF, CSV, MO, Qt .ts and of course PO and XLIFF.
 .
 This package includes documentation for the command line utilities.

Package: python3-translate
Architecture: all
Depends:
 gettext,
 libexttextcat-data,
 python3,
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 python3-aeidon,
 python3-bs4,
 python3-chardet,
 python3-diff-match-patch,
 python3-enchant,
 python3-iniparse,
 python3-levenshtein,
 python3-lxml,
 python3-mistletoe (>> 1.1.0~),
 python3-phply,
 python3-pyparsing (>> 3),
 python3-ruamel.yaml,
 python3-simplejson,
 python3-vobject,
 python3-xapian,
Suggests:
 python3-cheroot,
 python3-subversion,
 translate-toolkit-doc
Description: Toolkit assisting in the localization of software (Python 3)
 The Translate Toolkit is a Python library and a set of software designed
 to help make the lives of localizers both more productive and less
 frustrating.
 .
 The software includes programs to convert localization formats to the
 common PO format and programs to check and manage PO files and
 utilities to create word counts, merge translations and perform
 various checks on PO files.
 .
 Supported localization storage formats are: DTD, properties,
 OpenOffice.org GSI/SDF, CSV, MO, Qt .ts and of course PO and XLIFF.
 .
 This package includes the Translate Toolkit modules for Python 3.

Package: translate-toolkit-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Toolkit assisting in the localization of software (documentation)
 The Translate Toolkit is a Python library and a set of software designed
 to help make the lives of localizers both more productive and less
 frustrating.
 .
 The software includes programs to convert localization formats to the
 common PO format and programs to check and manage PO files and
 utilities to create word counts, merge translations and perform
 various checks on PO files.
 .
 Supported localization storage formats are: DTD, properties,
 OpenOffice.org GSI/SDF, CSV, MO, Qt .ts and of course PO and XLIFF.
 .
 This package includes the Translate Toolkit API documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export PYBUILD_NAME=translate

p	= translate-toolkit
d	= $(CURDIR)/debian/$(p)
d3	= $(CURDIR)/debian/python3-translate

export PYTHONNOUSERSITE=false

export PYBUILD_TEST_ARGS = -rsx -v .

%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

execute_after_dh_clean:
	rm -rf man docs/_build run-tests .cache
	make -C docs clean

execute_after_dh_auto_build:
	+$(MAKE) -C docs html

execute_after_dh_auto_install:
	# delete unwanted cruft from /usr/lib
	for i in COPYING README.rst docs; do \
	  rm -rfv debian/*/usr/lib/python*/*-packages/translate/$$i \
	      debian/*/usr/lib/pyshared/translate/$$i; \
	done

	# provide a link to the langmodels shipped in libexttextcat-data
	for i in debian/*/usr/lib/python*/*-packages/translate/; do \
	  mkdir $$i/share; \
	  ln -s /usr/share/libexttextcat $$i/share/langmodels; \
	  cp translate/share/stoplist-en $$i/share/; \
	done

	prename 's/\.sh$$//' debian/*/usr/bin/build_firefox.sh
	prename 's/\.py$$//' debian/*/usr/bin/*.py

	# move the command line tools to the translate-toolkit package
	mkdir -p $(d)/usr/bin
	mv $(d3)/usr/bin/* $(d)/usr/bin/
	rm -rf $(d3)/usr/bin

	mkdir -p man
	for script in $(d)/usr/bin/*; do \
	  case $$(basename $$script) in \
	  buildxpi*|build_tmdb|build_firefox*|get_moz_enUS*|junitmsgfmt|mozfunny2prop|po2web2py|pocompendium|pomigrate2|popuretext|poreencode|posplit|pocount|poglossary|pocommentclean|prop2mozfunny|pydiff|tmserver) \
	    ;; \
	  *) \
	    LC_ALL=C PYTHONPATH=. $$script --manpage \
	      > man/$$(basename $$script).1 \
	      || rm -f man/$(basename $$script).1; \
	    ;; \
	  esac; \
	done

=== debian/tests/control ===
Tests: translate-toolkit
Restrictions: allow-stderr
Depends:
  translate-toolkit,
  subversion,
  python3-aeidon,
  python3-bs4,
  python3-chardet,
  python3-cheroot,
  python3-diff-match-patch,
  python3-enchant,
  python3-iniparse,
  python3-levenshtein,
  python3-lxml,
  python3-mistletoe (>> 1.1.0~),
  python3-phply (>> 1.2.4),
  python3-pycountry (>> 17.5.14),
  python3-pyparsing (>> 3),
  python3-ruamel.yaml,
  python3-simplejson,
  python3-vobject,
  python3-xapian,

Tests: python3-translate
Restrictions: allow-stderr
Depends:
  python3-translate,
  python3-pytest,
  python3-all,
  subversion,
  python3-aeidon,
  python3-bs4,
  python3-chardet,
  python3-cheroot,
  python3-diff-match-patch,
  python3-enchant,
  python3-iniparse,
  python3-levenshtein,
  python3-lxml,
  python3-mistletoe (>> 1.1.0~),
  python3-phply (>> 1.2.4),
  python3-pycountry (>> 17.5.14),
  python3-pyparsing (>> 3),
  python3-ruamel.yaml,
  python3-simplejson,
  python3-syrupy,
  python3-vobject,
  python3-xapian,

Tests: python3-translate-commands
Restrictions: allow-stderr
Depends:
  python3-translate,
  translate-toolkit,
  python3-pytest,
  python3-all,
  subversion,
  python3-aeidon,
  python3-bs4,
  python3-chardet,
  python3-cheroot,
  python3-diff-match-patch,
  python3-enchant,
  python3-iniparse,
  python3-levenshtein,
  python3-lxml,
  python3-mistletoe (>> 1.1.0~),
  python3-phply (>> 1.2.4),
  python3-pycountry (>> 17.5.14),
  python3-pyparsing (>> 3),
  python3-ruamel.yaml,
  python3-simplejson,
  python3-syrupy,
  python3-vobject,
  python3-xapian,

## translate-toolkit 3.13.0

=== debian/changelog ===
translate-toolkit (3.13.0-2) unstable; urgency=medium

  * Drop patch to workaround old aeidon version.

 -- Stuart Prescott <stuart@debian.org>  Thu, 13 Jun 2024 18:11:30 +1000

translate-toolkit (3.13.0-1) unstable; urgency=medium

  * New upstream release.
    - Fixes some failing tests leading to FTBFS (Closes: #1070460)
    - Drops some old Mozilla scripts that are no longer used
      (Closes: #1068729)
  * Back out upstream change for python-aeidon whitespace output changes.
  * Update Standards-Version to 4.7.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 06 May 2024 18:58:27 +1000

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Uploaders:
  Stuart Prescott <stuart@debian.org>
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian l10n developers <debian-l10n-devel@lists.alioth.debian.org>
+Maintainer: Debian l10n developers <debian-l10n-devel@lists.alioth.debian.org>
 Build-Depends-Indep:
  libexttextcat-data,
  python3-all,
- python3-aeidon,
+ python3-aeidon (>> 1.14~),
  python3-bs4,
  python3-chardet,
  python3-cheroot,
@@ -34,7 +33,7 @@
  dh-python (>> 5.20220923~),
  pybuild-plugin-pyproject,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/l10n-team/translate-toolkit.git
 Vcs-Browser: https://salsa.debian.org/l10n-team/translate-toolkit
 Homepage: https://toolkit.translatehouse.org/
@@ -46,7 +45,6 @@
 Depends:
  python3,
  python3-pkg-resources,
- python3-cheroot,
  python3-translate (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends}
@@ -65,6 +63,10 @@
  Supported localization storage formats are: DTD, properties,
  OpenOffice.org GSI/SDF, CSV, MO, Qt .ts and of course PO and XLIFF.
  .
+ Support for specific features and formats requires various additional
+ packages to be installed. These are listed in the Recommends for the
+ python3-translate package.
+ .
  This package includes documentation for the command line utilities.
 
 Package: python3-translate
@@ -76,7 +78,7 @@
  ${misc:Depends},
  ${python3:Depends}
 Recommends:
- python3-aeidon,
+ python3-aeidon (>> 1.14~),
  python3-bs4,
  python3-chardet,
  python3-diff-match-patch,
@@ -108,6 +110,9 @@
  Supported localization storage formats are: DTD, properties,
  OpenOffice.org GSI/SDF, CSV, MO, Qt .ts and of course PO and XLIFF.
  .
+ Support for specific features and formats requires various additional
+ packages to be installed. These are listed in the Recommends.
+ .
  This package includes the Translate Toolkit modules for Python 3.
 
 Package: translate-toolkit-doc

## translate-toolkit 3.13.1

=== debian/changelog ===
translate-toolkit (3.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Update dependencies from python3-chardet to python3-charset-normalizer

 -- Stuart Prescott <stuart@debian.org>  Thu, 27 Jun 2024 18:43:49 +1000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-all,
  python3-aeidon (>> 1.14~),
  python3-bs4,
- python3-chardet,
+ python3-charset-normalizer,
  python3-cheroot,
  python3-diff-match-patch,
  python3-enchant,
@@ -80,7 +80,7 @@
 Recommends:
  python3-aeidon (>> 1.14~),
  python3-bs4,
- python3-chardet,
+ python3-charset-normalizer,
  python3-diff-match-patch,
  python3-enchant,
  python3-iniparse,

=== debian/tests/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
   subversion,
   python3-aeidon,
   python3-bs4,
-  python3-chardet,
+  python3-charset-normalizer,
   python3-cheroot,
   python3-diff-match-patch,
   python3-enchant,
@@ -30,7 +30,7 @@
   subversion,
   python3-aeidon,
   python3-bs4,
-  python3-chardet,
+  python3-charset-normalizer,
   python3-cheroot,
   python3-diff-match-patch,
   python3-enchant,
@@ -57,7 +57,7 @@
   subversion,
   python3-aeidon,
   python3-bs4,
-  python3-chardet,
+  python3-charset-normalizer,
   python3-cheroot,
   python3-diff-match-patch,
   python3-enchant,

## translate-toolkit 3.13.2

=== debian/changelog ===
translate-toolkit (3.13.2-2) unstable; urgency=medium

  * Require newer python3-aeidon to allow tests to pass.

 -- Stuart Prescott <stuart@debian.org>  Mon, 22 Jul 2024 17:39:15 +1000

translate-toolkit (3.13.2-1) unstable; urgency=medium

  * New upstream release.
   - Add dependencies on python3-wcwidth for build, runtime and tests.

 -- Stuart Prescott <stuart@debian.org>  Mon, 15 Jul 2024 18:15:30 +1000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends-Indep:
  libexttextcat-data,
  python3-all,
- python3-aeidon (>> 1.14~),
+ python3-aeidon (>> 1.15~),
  python3-bs4,
  python3-charset-normalizer,
  python3-cheroot,
@@ -24,6 +24,7 @@
  python3-simplejson,
  python3-syrupy,
  python3-sphinx,
+ python3-wcwidth,
  python3-vobject,
  python3-xapian,
  rename,
@@ -78,7 +79,7 @@
  ${misc:Depends},
  ${python3:Depends}
 Recommends:
- python3-aeidon (>> 1.14~),
+ python3-aeidon (>> 1.15~),
  python3-bs4,
  python3-charset-normalizer,
  python3-diff-match-patch,
@@ -92,6 +93,7 @@
  python3-ruamel.yaml,
  python3-simplejson,
  python3-vobject,
+ python3-wcwidth,
  python3-xapian,
 Suggests:
  python3-cheroot,

=== debian/tests/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Depends:
   translate-toolkit,
   subversion,
-  python3-aeidon,
+  python3-aeidon (>> 1.15~),
   python3-bs4,
   python3-charset-normalizer,
   python3-cheroot,
@@ -19,6 +19,7 @@
   python3-ruamel.yaml,
   python3-simplejson,
   python3-vobject,
+  python3-wcwidth,
   python3-xapian,
 
 Tests: python3-translate
@@ -28,7 +29,7 @@
   python3-pytest,
   python3-all,
   subversion,
-  python3-aeidon,
+  python3-aeidon (>> 1.15~),
   python3-bs4,
   python3-charset-normalizer,
   python3-cheroot,
@@ -45,6 +46,7 @@
   python3-simplejson,
   python3-syrupy,
   python3-vobject,
+  python3-wcwidth,
   python3-xapian,
 
 Tests: python3-translate-commands
@@ -72,4 +74,5 @@
   python3-simplejson,
   python3-syrupy,
   python3-vobject,
+  python3-wcwidth,
   python3-xapian,

## translate-toolkit 3.13.3

=== debian/changelog ===
translate-toolkit (3.13.3-1) unstable; urgency=medium

  * New upstream release

 -- Stuart Prescott <stuart@debian.org>  Wed, 11 Sep 2024 04:44:09 +1000

## translate-toolkit 3.13.4

=== Makefile ===
--- 
+++ 
@@ -8,11 +8,8 @@
 	python -m build
 
 docs:
-	# Make sure that the submodule with docs theme is pulled and up-to-date.
-	git submodule update --init
 	# The following creates the HTML docs.
-	# NOTE: cd and make must be in the same line.
-	cd ${DOCS_DIR}; make SPHINXOPTS="-T -W -q" html ${TAIL}
+	make -C ${DOCS_DIR} SPHINXOPTS="-T -W -q" html ${TAIL}
 
 docs-review: docs
 	python -mwebbrowser file://$(shell pwd)/${DOCS_DIR}/_build/html/index.html

=== debian/changelog ===
translate-toolkit (3.13.4-1) unstable; urgency=medium

  * New upstream version.
    - Fixes FTBFS with Python 3.13 (Closes: #1082336)
  * Add new build-deps for documentation changes.
  * Drop unused dependencies on ancient python3-simplejson (Closes: #1080171).

 -- Stuart Prescott <stuart@debian.org>  Thu, 26 Sep 2024 21:27:05 +1000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
  Stuart Prescott <stuart@debian.org>
 Maintainer: Debian l10n developers <debian-l10n-devel@lists.alioth.debian.org>
 Build-Depends-Indep:
+ furo,
  libexttextcat-data,
  python3-all,
  python3-aeidon (>> 1.15~),
@@ -16,12 +17,14 @@
  python3-iniparse,
  python3-levenshtein,
  python3-lxml,
+ python3-matplotlib,
  python3-mistletoe (>> 1.1.0~),
  python3-phply,
  python3-pyparsing (>> 3),
  python3-pytest,
  python3-ruamel.yaml,
- python3-simplejson,
+ python3-sphinx-copybutton,
+ python3-sphinxext-opengraph,
  python3-syrupy,
  python3-sphinx,
  python3-wcwidth,
@@ -91,7 +94,6 @@
  python3-phply,
  python3-pyparsing (>> 3),
  python3-ruamel.yaml,
- python3-simplejson,
  python3-vobject,
  python3-wcwidth,
  python3-xapian,

## translate-toolkit 3.14.1

=== debian/changelog ===
translate-toolkit (3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop no-longer needed dependency on python3-pkg-resources
    (Closes: #1083807).

 -- Stuart Prescott <stuart@debian.org>  Mon, 18 Nov 2024 00:18:54 +1100

=== debian/control ===
--- 
+++ 
@@ -48,7 +48,6 @@
 Section: devel
 Depends:
  python3,
- python3-pkg-resources,
  python3-translate (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends}

## translate-toolkit 3.14.4

=== debian/changelog ===
translate-toolkit (3.14.4-1) unstable; urgency=medium

  * New upstream release.
    - Update dependencies from wcwidth to cwcwidth.

 -- Stuart Prescott <stuart@debian.org>  Mon, 23 Dec 2024 16:39:03 +1100

## translate-toolkit 3.14.7

=== debian/changelog ===
translate-toolkit (3.14.7-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Mon, 10 Feb 2025 21:09:34 +1100

## translate-toolkit 3.15.0

=== Makefile ===
DOCS_DIR = docs

.PHONY: all docs help test test-functional

all: help

docs:
	# The following creates the HTML docs.
	make -C ${DOCS_DIR} SPHINXOPTS="--show-traceback --fail-on-warning" html ${TAIL}

docs-review: docs
	python -mwebbrowser file://$(shell pwd)/${DOCS_DIR}/_build/html/index.html

help:
	@echo "Help"
	@echo "----"
	@echo
	@echo "  docs - build Sphinx docs"
	@echo "  docs-review - launch webbrowser to review docs"
	@echo "  test - run unit test suite"
	@echo "  test-functional - run the functional test suite"

test:
	@uv run pytest --cov=. -r EfsxX

test-functional:
	@tests/cli/run_tests.sh

=== debian/changelog ===
translate-toolkit (3.15.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sat, 22 Feb 2025 13:57:26 +1100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  python3-bs4,
  python3-charset-normalizer,
  python3-cheroot,
+ python3-cwcwidth,
  python3-diff-match-patch,
  python3-enchant,
  python3-iniparse,
@@ -27,7 +28,6 @@
  python3-sphinxext-opengraph,
  python3-syrupy,
  python3-sphinx,
- python3-wcwidth,
  python3-vobject,
  python3-xapian,
  rename,
@@ -84,6 +84,7 @@
  python3-aeidon (>> 1.15~),
  python3-bs4,
  python3-charset-normalizer,
+ python3-cwcwidth,
  python3-diff-match-patch,
  python3-enchant,
  python3-iniparse,
@@ -94,7 +95,6 @@
  python3-pyparsing (>> 3),
  python3-ruamel.yaml,
  python3-vobject,
- python3-wcwidth,
  python3-xapian,
 Suggests:
  python3-cheroot,

## translate-toolkit 3.15.1

=== debian/changelog ===
translate-toolkit (3.15.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.2 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Fri, 14 Mar 2025 23:55:16 +1100

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	make -C docs clean
 
 execute_after_dh_auto_build:
-	+$(MAKE) -C docs html
+	+$(MAKE) -C docs SPHINXBUILD="python3 -m sphinx build" html
 
 execute_after_dh_auto_install:
 	# delete unwanted cruft from /usr/lib

## translate-toolkit 3.15.6

=== debian/changelog ===
translate-toolkit (3.15.6-1) unstable; urgency=medium

  * New upstream version.

 -- Stuart Prescott <stuart@debian.org>  Mon, 01 Sep 2025 21:26:31 +1000

## translate-toolkit 3.16.1

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 docs:
 	# The following creates the HTML docs.
-	make -C ${DOCS_DIR} SPHINXOPTS="--show-traceback --fail-on-warning" html ${TAIL}
+	make -C ${DOCS_DIR} SPHINXOPTS="--show-traceback --fail-on-warning --jobs auto" html ${TAIL}
 
 docs-review: docs
 	python -mwebbrowser file://$(shell pwd)/${DOCS_DIR}/_build/html/index.html

=== debian/changelog ===
translate-toolkit (3.16.1-1) unstable; urgency=medium

  * New upstream release.
  * Backport patches from upstream:
    - fix handling of version of little-endian MO files (Closes: #714214)
    - skip comparison of MO output on little-endian systems

 -- Stuart Prescott <stuart@debian.org>  Sun, 28 Sep 2025 17:28:13 +1000

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
  dh-python (>> 5.20220923~),
  pybuild-plugin-pyproject,
  python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/l10n-team/translate-toolkit.git
 Vcs-Browser: https://salsa.debian.org/l10n-team/translate-toolkit
 Homepage: https://toolkit.translatehouse.org/

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,6 @@
 	dh $@ --with python3,sphinxdoc --buildsystem pybuild
 
 execute_after_dh_clean:
-	rm -rf man docs/_build run-tests .cache
 	make -C docs clean
 
 execute_after_dh_auto_build:

=== debian/tests/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
   python3-bs4,
   python3-charset-normalizer,
   python3-cheroot,
+  python3-cwcwidth,
   python3-diff-match-patch,
   python3-enchant,
   python3-iniparse,
@@ -17,9 +18,7 @@
   python3-pycountry (>> 17.5.14),
   python3-pyparsing (>> 3),
   python3-ruamel.yaml,
-  python3-simplejson,
   python3-vobject,
-  python3-wcwidth,
   python3-xapian,
 
 Tests: python3-translate
@@ -33,6 +32,7 @@
   python3-bs4,
   python3-charset-normalizer,
   python3-cheroot,
+  python3-cwcwidth,
   python3-diff-match-patch,
   python3-enchant,
   python3-iniparse,
@@ -43,10 +43,8 @@
   python3-pycountry (>> 17.5.14),
   python3-pyparsing (>> 3),
   python3-ruamel.yaml,
-  python3-simplejson,
   python3-syrupy,
   python3-vobject,
-  python3-wcwidth,
   python3-xapian,
 
 Tests: python3-translate-commands
@@ -71,7 +69,6 @@
   python3-pycountry (>> 17.5.14),
   python3-pyparsing (>> 3),
   python3-ruamel.yaml,
-  python3-simplejson,
   python3-syrupy,
   python3-vobject,
   python3-wcwidth,

## translate-toolkit 3.16.3

=== debian/changelog ===
translate-toolkit (3.16.3-1) unstable; urgency=medium

  * New upstream release
    - switch from cwcwidth to wcwidth
    - drop patches applied upstream
  * Force LC_ALL in build to prevent FTBFS with strange locale settings.

 -- Stuart Prescott <stuart@debian.org>  Mon, 27 Oct 2025 19:09:48 +1100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
  python3-bs4,
  python3-charset-normalizer,
  python3-cheroot,
- python3-cwcwidth,
  python3-diff-match-patch,
  python3-enchant,
  python3-iniparse,
@@ -29,6 +28,7 @@
  python3-syrupy,
  python3-sphinx,
  python3-vobject,
+ python3-wcwidth,
  python3-xapian,
  rename,
  subversion,
@@ -84,7 +84,6 @@
  python3-aeidon (>> 1.15~),
  python3-bs4,
  python3-charset-normalizer,
- python3-cwcwidth,
  python3-diff-match-patch,
  python3-enchant,
  python3-iniparse,
@@ -95,6 +94,7 @@
  python3-pyparsing (>> 3),
  python3-ruamel.yaml,
  python3-vobject,
+ python3-wcwidth,
  python3-xapian,
 Suggests:
  python3-cheroot,

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 # export DH_VERBOSE=1
 
 export PYBUILD_NAME=translate
+export LC_ALL=C.UTF-8
 
 p	= translate-toolkit
 d	= $(CURDIR)/debian/$(p)

=== debian/tests/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
   python3-bs4,
   python3-charset-normalizer,
   python3-cheroot,
-  python3-cwcwidth,
   python3-diff-match-patch,
   python3-enchant,
   python3-iniparse,
@@ -19,6 +18,7 @@
   python3-pyparsing (>> 3),
   python3-ruamel.yaml,
   python3-vobject,
+  python3-wcwidth,
   python3-xapian,
 
 Tests: python3-translate
@@ -32,7 +32,6 @@
   python3-bs4,
   python3-charset-normalizer,
   python3-cheroot,
-  python3-cwcwidth,
   python3-diff-match-patch,
   python3-enchant,
   python3-iniparse,
@@ -45,6 +44,7 @@
   python3-ruamel.yaml,
   python3-syrupy,
   python3-vobject,
+  python3-wcwidth,
   python3-xapian,
 
 Tests: python3-translate-commands

## translate-toolkit 3.17.5

=== debian/changelog ===
translate-toolkit (3.17.5-1) unstable; urgency=medium

  * New upstream release.
   - add extra dependencies on python3-tomlkit for new toml backend
   - replace dependencies on python3-wcwidth / python3-cwcwidth with
     python3-unicode-segmentation-rs for unicode processing

 -- Stuart Prescott <stuart@debian.org>  Tue, 23 Dec 2025 15:48:18 +1100

=== debian/control ===
--- 
+++ 
@@ -27,8 +27,9 @@
  python3-sphinxext-opengraph,
  python3-syrupy,
  python3-sphinx,
+ python3-tomlkit,
+ python3-unicode-segmentation-rs,
  python3-vobject,
- python3-wcwidth,
  python3-xapian,
  rename,
  subversion,
@@ -93,8 +94,9 @@
  python3-phply,
  python3-pyparsing (>> 3),
  python3-ruamel.yaml,
+ python3-tomlkit,
+ python3-unicode-segmentation-rs,
  python3-vobject,
- python3-wcwidth,
  python3-xapian,
 Suggests:
  python3-cheroot,

## translate-toolkit 3.18.1

=== debian/changelog ===
translate-toolkit (3.18.1-1) unstable; urgency=medium

  * New upstream release.
    - refresh patches
  * Update Standards-Version to 4.7.3 (no changes required).
  * Drop unneeded Priority:optional and R3:no fields.

 -- Stuart Prescott <stuart@debian.org>  Sat, 24 Jan 2026 14:27:39 +1100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: translate-toolkit
 Section: python
-Priority: optional
 Uploaders:
  Stuart Prescott <stuart@debian.org>
 Maintainer: Debian l10n developers <debian-l10n-devel@lists.alioth.debian.org>
@@ -38,11 +37,10 @@
  dh-python (>> 5.20220923~),
  pybuild-plugin-pyproject,
  python3-setuptools,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/l10n-team/translate-toolkit.git
 Vcs-Browser: https://salsa.debian.org/l10n-team/translate-toolkit
 Homepage: https://toolkit.translatehouse.org/
-Rules-Requires-Root: no
 
 Package: translate-toolkit
 Architecture: all

=== debian/tests/control ===
--- 
+++ 
@@ -17,8 +17,9 @@
   python3-pycountry (>> 17.5.14),
   python3-pyparsing (>> 3),
   python3-ruamel.yaml,
+  python3-tomlkit,
+  python3-unicode-segmentation-rs,
   python3-vobject,
-  python3-wcwidth,
   python3-xapian,
 
 Tests: python3-translate
@@ -43,8 +44,9 @@
   python3-pyparsing (>> 3),
   python3-ruamel.yaml,
   python3-syrupy,
+  python3-tomlkit,
+  python3-unicode-segmentation-rs,
   python3-vobject,
-  python3-wcwidth,
   python3-xapian,
 
 Tests: python3-translate-commands
@@ -70,6 +72,7 @@
   python3-pyparsing (>> 3),
   python3-ruamel.yaml,
   python3-syrupy,
+  python3-tomlkit,
+  python3-unicode-segmentation-rs,
   python3-vobject,
-  python3-wcwidth,
   python3-xapian,

## translate-toolkit 3.19.2

=== debian/changelog ===
translate-toolkit (3.19.2-1) unstable; urgency=medium

  * New upstream release.
    - update dependencies for new version.

 -- Stuart Prescott <stuart@debian.org>  Mon, 02 Mar 2026 20:53:46 +1100

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,17 @@
  libexttextcat-data,
  python3-all,
  python3-aeidon (>> 1.15~),
- python3-bs4,
  python3-charset-normalizer,
- python3-cheroot,
  python3-diff-match-patch,
  python3-enchant,
  python3-iniparse,
- python3-levenshtein,
  python3-lxml,
  python3-matplotlib,
  python3-mistletoe (>> 1.1.0~),
  python3-phply,
  python3-pyparsing (>> 3),
  python3-pytest,
+ python3-rapidfuzz,
  python3-ruamel.yaml,
  python3-sphinx-copybutton,
  python3-sphinxext-opengraph,
@@ -81,23 +79,21 @@
  ${python3:Depends}
 Recommends:
  python3-aeidon (>> 1.15~),
- python3-bs4,
  python3-charset-normalizer,
  python3-diff-match-patch,
  python3-enchant,
  python3-iniparse,
- python3-levenshtein,
  python3-lxml,
  python3-mistletoe (>> 1.1.0~),
  python3-phply,
  python3-pyparsing (>> 3),
+ python3-rapidfuzz,
  python3-ruamel.yaml,
  python3-tomlkit,
  python3-unicode-segmentation-rs,
  python3-vobject,
  python3-xapian,
 Suggests:
- python3-cheroot,
  python3-subversion,
  translate-toolkit-doc
 Description: Toolkit assisting in the localization of software (Python 3)

=== debian/rules ===
--- 
+++ 
@@ -38,8 +38,8 @@
 	  cp translate/share/stoplist-en $$i/share/; \
 	done
 
-	prename 's/\.sh$$//' debian/*/usr/bin/build_firefox.sh
-	prename 's/\.py$$//' debian/*/usr/bin/*.py
+	# remove tools not packaged
+	rm debian/*/usr/bin/fluent2po
 
 	# move the command line tools to the translate-toolkit package
 	mkdir -p $(d)/usr/bin
@@ -49,7 +49,7 @@
 	mkdir -p man
 	for script in $(d)/usr/bin/*; do \
 	  case $$(basename $$script) in \
-	  buildxpi*|build_tmdb|build_firefox*|get_moz_enUS*|junitmsgfmt|mozfunny2prop|po2web2py|pocompendium|pomigrate2|popuretext|poreencode|posplit|pocount|poglossary|pocommentclean|prop2mozfunny|pydiff|tmserver) \
+	  buildxpi*|get_moz_enUS*|junitmsgfmt|mozfunny2prop|po2web2py|pocompendium|pomigrate2|popuretext|poreencode|posplit|pocount|poglossary|pocommentclean|prop2mozfunny|pydiff) \
 	    ;; \
 	  *) \
 	    LC_ALL=C PYTHONPATH=. $$script --manpage \

=== debian/tests/control ===
--- 
+++ 
@@ -4,18 +4,16 @@
   translate-toolkit,
   subversion,
   python3-aeidon (>> 1.15~),
-  python3-bs4,
   python3-charset-normalizer,
-  python3-cheroot,
   python3-diff-match-patch,
   python3-enchant,
   python3-iniparse,
-  python3-levenshtein,
   python3-lxml,
   python3-mistletoe (>> 1.1.0~),
   python3-phply (>> 1.2.4),
   python3-pycountry (>> 17.5.14),
   python3-pyparsing (>> 3),
+  python3-rapidfuzz,
   python3-ruamel.yaml,
   python3-tomlkit,
   python3-unicode-segmentation-rs,
@@ -30,18 +28,16 @@
   python3-all,
   subversion,
   python3-aeidon (>> 1.15~),
-  python3-bs4,
   python3-charset-normalizer,
-  python3-cheroot,
   python3-diff-match-patch,
   python3-enchant,
   python3-iniparse,
-  python3-levenshtein,
   python3-lxml,
   python3-mistletoe (>> 1.1.0~),
   python3-phply (>> 1.2.4),
   python3-pycountry (>> 17.5.14),
   python3-pyparsing (>> 3),
+  python3-rapidfuzz,
   python3-ruamel.yaml,
   python3-syrupy,
   python3-tomlkit,
@@ -58,18 +54,16 @@
   python3-all,
   subversion,
   python3-aeidon,
-  python3-bs4,
   python3-charset-normalizer,
-  python3-cheroot,
   python3-diff-match-patch,
   python3-enchant,
   python3-iniparse,
-  python3-levenshtein,
   python3-lxml,
   python3-mistletoe (>> 1.1.0~),
   python3-phply (>> 1.2.4),
   python3-pycountry (>> 17.5.14),
   python3-pyparsing (>> 3),
+  python3-rapidfuzz,
   python3-ruamel.yaml,
   python3-syrupy,
   python3-tomlkit,
